
From: Geert Uytterhoeven <geert@linux-m68k.org>

On Sun, 25 Apr 2004, James Simmons wrote:
> This patch migrates the Vesa Framebuffer driver over to the
> framebuffer_alloc/framebuffer_release api. It also fixes the error
> handling paths. The mtrr issue that Geert brought up has been fixed.
> With your approval Geert, Ben please apply this patch.

> +	/* Set video size according to vram boot option */
> +	if (vram && vram * 1024 * 1024 != vesafb_fix.smem_len)
> +		vesafb_fix.smem_len = vram * 1024 * 1024;

The second part of the test can be removed. The rest looks OK to me.


---

 25-akpm/drivers/video/vesafb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/vesafb.c~vesa-fbdev-update-fix drivers/video/vesafb.c
--- 25/drivers/video/vesafb.c~vesa-fbdev-update-fix	2004-04-25 22:16:02.333160896 -0700
+++ 25-akpm/drivers/video/vesafb.c	2004-04-25 22:16:14.551303456 -0700
@@ -238,7 +238,7 @@ static int __init vesafb_probe(struct de
 		vesafb_fix.smem_len = screen_info.lfb_size * 65536;
 
 	/* Set video size according to vram boot option */
-	if (vram && vram * 1024 * 1024 != vesafb_fix.smem_len)
+	if (vram)
 		vesafb_fix.smem_len = vram * 1024 * 1024;
 
 	vesafb_fix.visual   = (vesafb_defined.bits_per_pixel == 8) ?

_
